function cmap = mycolorbar(choice)
% 本函数用于读取自定义的colorbar
filename = ['colorbar',num2str(choice),'.png'];
f = imread(filename);
f = im2double(f);
n_c = 256; % number of colormap
cmap = zeros(n_c,3);
N = size(f,2);
idx = round((1:n_c)/n_c*N);
f_mean = sum(f)/size(f,1);
cmap(1:256,:)=f_mean(1,idx,:);
end